Subject: bug#76423: Major-mode provided LSP server for Eglot

From: João Távora <[email-masked]>
Date: Thu, 20 Feb 2025 20:01:15 +0000

Kevin Brubeck Unhammer <[email-masked]> writes:

>>>> Wouldn't the patch make harder for the users to customize Eglot to use
>>>> their preferred LSP server instead of the server suggested by the major
>>>> mode?
>>>
>>> Could be, tho it depends.
>>
>> To me it seems both the current and the proposed approaches are too
>> complex for newbies, but quite straightforward to write with a little
>> bit of elisp knowledge.  So maybe it is enough to add some simple
>> examples to the documentation.

Who wrote this?  I agree :-)

>> Or we could have two variables defining server-programs:
>> eglot-user-server-programs and eglot-server-programs (alternatively
>> eglot-server-programs and eglot-default-server-programs.  Where the
>> former is only set by the users and it takes precedence over the latter
>> if there is a match in it.  But it is possible that I'm once again
>> overthinking this.

No.

> I would prefer that solution over users having to understand and/or
> copy-paste lambdas, eval-after-loads and setq-locals.

Please see my reply to Stefan.